<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC
        "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
        "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">


<hibernate-mapping>
    <class name="com.Employee" table="TphEMP" discriminator-value="EMP">
        <id name="employeeId">
            <generator class="assigned"/>
        </id>
        <discriminator column="IDENTIFIER" type="string"/>
        <property name="name" column="Name"/>




        <subclass name="com.PartTimeEmployee" discriminator-value="PEMP">
            <property name="noOfHours" column="noOfHours"></property>
            <property name="salaryPerHour" column="salaryPerHour"></property>
        </subclass>


        <subclass name="com.FullTimeEmployee" discriminator-value="FEMP">
            <property name="fixedSalary" column="fixedSalary"></property>
            <property name="noOfHours" column="noOfHours"></property>
            <property name="salaryPerHour" column="salaryPerHour"></property>
        </subclass>

    </class>
</hibernate-mapping>